/*
Commande infrarouge pour ampli DIY
Entrée IR sur Pin 11 (capteur de type TSOP4836)
commande Volume - sur pin 2
commande Volume + sur pin 3
*/

#include <IRremote.h> //bibliothèque externe pour la réception IR


// Télécommande CGV (décodeur TNT)
//#define Volume_Up     0xFFF20D
//#define Volume_Down   0xFFC23D
//#define Volume_Up2    0xFFCA35 //(CH+)
//#define Volume_Down2  0xFFE21D //(CH-)
//#define Mute          0xFF2AD5
//#define Mute2         0xFFFFFF

// Télécommande TV Philips
//#define Volume_Up     0x10
//#define Volume_Up2    0x10010
//#define Volume_Down   0x11
//#define Volume_Down2  0x10011
//#define Mute          0xD
//#define Mute2         0x1000D

// Télécommande Marantz
#define Volume_Up       0x410
#define Volume_Up2      0xC10
#define Volume_Down     0x411
#define Volume_Down2    0xC11
#define Mute            0x40D
#define Mute2           0xC0D


int broche_reception = 11;  // broche 11 pour le capteur TSOP 4836
IRrecv reception_ir(broche_reception); // crée une instance
decode_results decode_ir;   // stockage données reçues

void setup() {
  pinMode(2,OUTPUT);         // pin 2 configuré en sortie
  pinMode(3,OUTPUT);         // pin 3 configuré en sortie
  Serial.begin(9600);        // initialise le moniteur série
  reception_ir.enableIRIn(); // démarre la réception IR
}

void loop() { 
  if (reception_ir.decode(&decode_ir)) { 
    Serial.println(decode_ir.value, HEX);
    switch (decode_ir.value) {
    case  Volume_Up :     // Touche Volume Up
      Serial.println("Touche Volume Up");
      digitalWrite(3, HIGH);
      delay(100);
      digitalWrite(3, LOW);
      break;
      
    case  Volume_Up2 :    // Touche Volume Up
      Serial.println("Touche Volume Up2");
      digitalWrite(3, HIGH);
      delay(100);
      digitalWrite(3, LOW);
      break;	

    case  Volume_Down :   // Touche Volume Down
      Serial.println("Touche Volume Down");
      digitalWrite(2, HIGH);
      delay(100);
      digitalWrite(2, LOW);
      break;
      
    case  Volume_Down2 :    // Touche Volume Down
      Serial.println("Touche Volume Down2");
      digitalWrite(2, HIGH);
      delay(100);
      digitalWrite(2, LOW);
      break;

    case  Mute :            // Touche Silence
      Serial.println("Touche Mute");
      digitalWrite(2, HIGH);
      delay(1200);
      digitalWrite(2, LOW);
      break;
      
    case  Mute2 :           // Touche Silence
      Serial.println("Touche Mute2");
      digitalWrite(2, HIGH);
      delay(1200);
      digitalWrite(2, LOW);
      break;
	
    }
    reception_ir.resume(); // recevoir le prochain code
  } 
}
